function onTalk()
  disableMovement()
  makeUnskippable ()
  say("CC_Flamecrafter113_TemporalRift_Settings_BGEffects")

    choiceDialog({
        {
            "CC_Flamecrafter113_TemporalRift_Settings_BGEffects_OptionOn",
            onChosen = function ()
                setFlag("Performant", false)
                closeChoiceDialog()
            end
        },
        {
            "CC_Flamecrafter113_TemporalRift_Settings_BGEffects_OptionOff",
            onChosen = function ()
                setFlag("Performant", true)
                closeChoiceDialog()
            end
        }
    })
end



function onEnd()
  enableMovement()
end